Bug 2062619 - IBus stop working after locking screen
Summary: IBus stop working after locking screen
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException https://ask.f...
Depends On:
Blocks: F36FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-03-10 09:36 UTC by Akira TAGOH
Modified: 2022-05-09 22:00 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-shell issues 5346 0 None opened [42.0] Input Sources indicator disappears after lockscreen 2022-04-14 03:25:19 UTC
Red Hat Issue Tracker FC-426 0 None None None 2022-04-08 07:50:09 UTC

Description Akira TAGOH 2022-03-10 09:36:50 UTC
Description of problem:
When I keep preediting on apps and the screen is locked by idle, IBus stop working after unlocking.

Version-Release number of selected component (if applicable):
ibus-1.5.25-13.fc36.x86_64

How reproducible:
always

Steps to Reproduce:
1.Install Workstation from Live
2.Setup with ja
3.Open LibreOffice Writer
4.Type something on preedit and wait for locking the screen
5.Unlock the screen

Actual results:
Unable to input through IBus on apps

Expected results:
Able to input through IBus

Additional info:
IBus get back after changing the focus for example.

Comment 1 fujiwara 2022-03-10 11:55:30 UTC
I cannot reproduce this issue while I set the idling time is 1 minute.

Comment 2 fujiwara 2022-03-11 02:37:40 UTC
I can reproduce this now, thank you for the report.

Comment 3 Jens Petersen 2022-03-16 06:30:25 UTC
I seem able to reproduce this, even without any pre-edit (nor even the IME turned on),
using gnome-terminal for example.
As reported, switching application focus brings back the Input Source indicator and input.

I used Fedora-Workstation-Live-x86_64-36_Beta-1.1.iso to test.

Comment 4 Jens Petersen 2022-04-08 07:31:53 UTC
The IMEs also disappear from the Input Source menu.

Comment 5 František Zatloukal 2022-04-11 21:16:45 UTC
Discussed during the 2022-04-11 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made:

"It is a noticeable issue that cannot be fixed with an update."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2022-04-11/f36-blocker-review.2022-04-11-16.00.log.txt

Comment 6 Jens Petersen 2022-04-14 03:09:00 UTC
It looks to me that somehow the disabling of IM state on the lockscreen password
is persisting back into the user session or something?

Comment 7 Jens Petersen 2022-04-14 03:24:51 UTC
I opened https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/5346


Note You need to log in before you can comment on or make changes to this bug.